Subject: bug#77560: The guix style command deletes #; comments.

From: Yuval Langer <[email-masked]>
Date: Sat, 5 Apr 2025 21:56:14 +0300

[ed: this bug report is written in the style of a rant, please do not
take it personally, I just find rant styled prose very funny.  It may
also demonstrate some of my frustration with the bug………]

You know what I hate?  guix style command deleting my #;ed up
exploratory bits of code.  I hate it!

You are at the exploratory stages of a bit of coding, you write one or
two extra version of the same functionality, so you comment them out
with #;, right?  Then just so that things look nicer you guix
style... and then your code is GONE!  It's all GONE!

Maybe put this #; comments deletion functionality behind a flag with a
very visible warning and change the code submission guidelines to
reflect that?

Many thanks,
Yuval Langer.